import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: mainPage;

    // page properties

    // page private methods

    // page UI
    orientationLock: PageOrientation.LockLandscape;

    // UI 1. background image
    Image {
        id: backgroundImage;
        anchors.fill: parent;
        source: "qrc:///images/template_background.png";
        fillMode: Image.Stretch;
    }

    // UI 2. header text
    Text {
        id: header;
        color: "#f7c839";
        text: qsTr("FaceFun");
        font.family: "AppleMyungjo";
        font.bold: true;
        verticalAlignment: Text.AlignVCenter;
        horizontalAlignment: Text.AlignHCenter;
        font.pointSize: 60;
        height: 96;
        anchors.top: parent.top;
        anchors.horizontalCenter: parent.horizontalCenter;
    }

    // UI 3. photos
    Image {
        id: photo1;
        x: 10;
        y: 157;
        width: 360;
        height: 229;
        source: "qrc:///images/funphoto1.png";
        fillMode: Image.PreserveAspectFit;
    }

    Image {
        id: photo3;
        x: 494;
        y: 156;
        width: 360;
        height: 229;
        source: "qrc:///images/funphoto3.png";
        fillMode: Image.PreserveAspectFit;
    }

    Image {
        id: photo2;
        x: 263;
        y: 98;
        width: 360;
        height: 229;
        source: "qrc:///images/funphoto2.png";
        fillMode: Image.PreserveAspectFit;
    }

    // UI 4. buttons
    Image {
        id: buttonStart;
        x: 180;
        y: 406;
        source: "qrc:///images/button_start.png";
        fillMode: Image.PreserveAspectFit;
        MouseArea {
            anchors.fill: parent;
            onClicked: {
                // go to template page
                pageStack.push(Qt.resolvedUrl("TemplatePage.qml"));
            }
        }
    }

    Image {
        id: buttonCredit;
        x: 556;
        y: 406;
        source: "qrc:///images/button_credit.png";
        fillMode: Image.PreserveAspectFit;
        MouseArea {
            anchors.fill: parent;
            onClicked: {
                // show credits
                aboutUsDialog.open();
            }
        }
    }

    // Query Dialog
    QueryDialog {
        id: aboutUsDialog;
        icon: "qrc:///images/facefun80.png";
        titleText: "About FaceFun V1.0.2";
        message: "Developed by PhoneSoul Pte. Ltd. \n\nEmail: info@phonesoul.com \nTwitter: @phonesoul";
        acceptButtonText: "Close";
    }

}
